<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exslt="http://exslt.org/common"
	version="1.0">

<xsl:template match="world">
<html>
<head><title>Talan CReport <xsl:value-of select="date"/>(XML-View)</title>
<link rel="stylesheet" type="text/css" href="xmlreport/report.css" />
</head>
<body>
Version: <xsl:value-of select="version"/><br/>
Turn: <xsl:value-of select="turn"/><br/>
Date: <xsl:value-of select="date"/><br/>

<xsl:for-each select="character">
	<hr/>
	
	<table border="0" cellpadding="0" cellspacing="0">
	<tr><td valign="top">
		<a><xsl:attribute name="style">font-weight:bold; font-size:24pt</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="id"/></xsl:attribute><xsl:value-of
			select="name"/>(<xsl:value-of select="id"/>)
		</a>
	
	</td><td width="10">
	</td><td valign="top">
		<xsl:comment> The Neighbourhood </xsl:comment>
		<xsl:variable name="x_pos" select="x"/><xsl:variable name="y_pos" select="y"/>
		<xsl:if test="x=$x_pos and y=$y_pos">
			<table border="0" cellpadding="0" cellspacing="0">
			<tr>
			
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)-1][number(x) = number($x_pos)-1][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)-1][number(x) = number($x_pos)  ][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)-1][number(x) = number($x_pos)+1][position() mod 2 = 1]" />
			</tr><tr>
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)  ][number(x) = number($x_pos)-1][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)  ][number(x) = number($x_pos)  ][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)  ][number(x) = number($x_pos)+1][position() mod 2 = 1]" />
			</tr><tr>
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)+1][number(x) = number($x_pos)-1][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)+1][number(x) = number($x_pos)  ][position() mod 2 = 1]" />
			<xsl:apply-templates select="/world/region[number(y) = number($y_pos)+1][number(x) = number($x_pos)+1][position() mod 2 = 1]" />

			</tr>
			</table>
		</xsl:if>
	</td></tr>
	</table>
	<br/>

	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
	<td width="200">Race: <xsl:value-of select="race"/> 
	<xsl:if test="template">(<xsl:value-of select="template"/>)</xsl:if>
	</td>
	<td width="300">eMail: <a><xsl:attribute name="href">mailto:<xsl:value-of 
		select="email"/></xsl:attribute><xsl:value-of select="email"/></a>
	</td>
	</tr>
	</table>
	<p>
	Description:<br/>
	<xsl:for-each select="description/line"><xsl:value-of select="."/><br/></xsl:for-each>
	</p>


	<xsl:if test="actions">
	<p class="silver">
	<b>Actions:</b><br/>
	<xsl:for-each select="actions/line"><xsl:value-of select="."/><br/></xsl:for-each>
	</p>
	</xsl:if>
	
	
	<p>
	<table border="0" cellpadding="0" cellspacing="0">
	<xsl:if test="reputation"><tr>
	<td colspan="2">Reputation: <xsl:value-of select="reputation"/></td>
	</tr></xsl:if>
	<tr>
	<td width="200"><xsl:if test="stealth">Stealth level: <xsl:value-of select="stealth"/></xsl:if></td>
	
	<td width="200"><xsl:if test="act_hitpoints">Hitpoints: <xsl:value-of select="act_hitpoints"/> of <xsl:value-of select="max_hitpoints"/></xsl:if></td>
	</tr><tr>
	<td></td><td><xsl:if test="mana">Mana: <xsl:value-of select="mana"/></xsl:if></td>
	</tr><tr>
	<td></td><td><xsl:if test="karma">Karma: <xsl:value-of select="karma"/></xsl:if></td>
	</tr><tr>
	<td></td><td><xsl:if test="psi">Psi: <xsl:value-of select="psi"/></xsl:if></td>
	</tr><tr>
        <td colspan="2">Movement points: <xsl:value-of select="ground"/> (ground) / <xsl:value-of select="air"/> (air) / <xsl:value-of select="sea"/> (sea)</td>
	</tr><tr>
	<td><xsl:if test="carry">Max. carry: <xsl:value-of select="carry"/></xsl:if></td>
	<td><xsl:if test="cond">Condition: <xsl:value-of select="cond"/></xsl:if></td>
	</tr>
	<xsl:if test="teacher"><tr>
	<td colspan="2">Teacher: <xsl:value-of select="teacher"/></td>
	</tr></xsl:if>
	</table>
	</p>
	
	<xsl:if test="deity">
	<p>
	Deity: <xsl:value-of select="deity"/><br/>
	Portfolios: <xsl:value-of select="portfolio[1]"/>
	<xsl:for-each select="portfolio[position()>1]">, <xsl:value-of select="."/></xsl:for-each>
	</p>
	</xsl:if>
	
	<xsl:if test="combat">
	<p>
	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
	<td colspan="2">Combat values</td>
	</tr><tr>
	<td width="210">Help group members: <xsl:value-of select="combat/chelp"/></td>
	<td>Position: <xsl:value-of select="combat/cpos"/></td>
	</tr><tr>
	<td>Retreat: at <xsl:value-of select="combat/cretreat"/>% of max hitpoints</td>
	<td>Style: <xsl:value-of select="combat/cstyle"/></td>
	</tr><tr>	
	<td colspan="2">Flight: at <xsl:value-of select="combat/cflee"/>% of max hitpoints</td>
	</tr><tr>
	</tr><tr>
	<td>Combat actions:</td><td><xsl:value-of select="combat/caction[1]"/></td>
	</tr><tr>
	<td></td><td><xsl:value-of select="combat/caction[2]"/></td>
	</tr><tr>
	<td></td><td><xsl:value-of select="combat/caction[3]"/></td>
	</tr>
	<tr>
	<td>Melee: <xsl:value-of select="combat/melee"/></td>
	<td>Defense: <xsl:value-of select="combat/defense"/></td>
	</tr>
	<tr>
	<td>Ranged: <xsl:value-of select="combat/ranged"/></td><td></td></tr>
	</table>
	</p>
	</xsl:if>
	
	
	<xsl:if test="group">
	<p>
	Member of Group: <xsl:value-of select="group/name"/>(<xsl:value-of select="group/id"/>)<br/>
	Membership is <xsl:choose><xsl:when test="group/shown='false'">hidden</xsl:when>
	<xsl:otherwise>visible</xsl:otherwise></xsl:choose>.<br/>
	<xsl:variable name="c_group" select="group/id"/>
	<xsl:variable name="c_id" select="id"/>	
	<a><xsl:attribute name="href">mailto:<xsl:value-of select="email"/><xsl:for-each select="/world/character"><xsl:if
	test="group/id=$c_group and id!=$c_id">,%20<xsl:value-of 
	select="email"/></xsl:if></xsl:for-each></xsl:attribute>Send mail to group</a>	
	</p>
	</xsl:if>
	

	<xsl:if test="skill or spell or miracle or psi">
	<table><tr>
	<xsl:if test="skill[level]">
		<td width="180" valign="top" class="silver">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr><td width="150"><b>Skills:</b></td><td width="30" align="right"><b>level:</b></td>
			<td width="20" align="right"><b>exp:</b></td></tr>
			<xsl:for-each select="skill[level]">
				<xsl:sort select="name" data-type="text" order="ascending"/>
				<tr class="silver">
				<td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td>
				<td align="right" valign="bottom"><xsl:value-of select="level"/></td>
				<td align="right" valign="bottom"><xsl:value-of select="exp"/></td>
				</tr>
			</xsl:for-each>
		</table>
		</td>
	</xsl:if>
	
	<xsl:if test="skill[not(level)]">
		<td width="150" valign="top" class="silver"><b>Available Skills:</b><br/>
		<table width="150">
			<xsl:for-each select="skill">
			<xsl:sort select="name" data-type="text" order="ascending"/>
			<xsl:if test="not(level)">
				<tr><td valign="top">-</td><td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td></tr>
			</xsl:if>
			</xsl:for-each>	
		</table>
		</td>
	</xsl:if>
	<xsl:if test="spell">
		<td width="150" valign="top" class="silver"><b>Available Spells:</b><br/>
		<table width="150">
			<xsl:for-each select="spell">
			<xsl:sort select="name" data-type="text" order="ascending"/>
			<tr><td valign="top">-</td><td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td></tr>
			</xsl:for-each>	
		</table>
		</td>
	</xsl:if>
	<xsl:if test="miracle">
		<td width="150" valign="top" class="silver"><b>Usable Miracles:</b><br/>
		<table width="150">
			<xsl:for-each select="miracle">
			<xsl:sort select="name" data-type="text" order="ascending"/>
			<tr><td valign="top">-</td><td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td></tr>
			</xsl:for-each>	
		</table>
		</td>
	</xsl:if>
	<xsl:if test="psi">
		<td width="150" valign="top" class="silver"><b>Usable psi-powers:</b><br/>
		<table width="150">
			<xsl:for-each select="psi">
			<xsl:sort select="name" data-type="text" order="ascending"/>
			<tr><td valign="top">-</td><td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td></tr>
			</xsl:for-each>	
		</table>
		</td>
	</xsl:if>
	<xsl:if test="recipe">
		<td width="150" valign="top" class="silver"><b>Known recipes:</b><br/>
		<table width="150">
			<xsl:for-each select="recipe">
			<xsl:sort select="." data-type="text" order="ascending"/>
			<tr><td valign="top">-</td><td><xsl:value-of select="."/></td></tr>
			</xsl:for-each>
		</table>
		</td>
	</xsl:if>
	<xsl:if test="tech">
		<td width="150" valign="top" class="silver"><b>Known Technologies:</b><br/>
		<table width="150">
			<xsl:for-each select="tech">
			<xsl:sort select="." data-type="text" order="ascending"/>
			<tr><td valign="top">-</td><td><xsl:value-of select="."/></td></tr>
			</xsl:for-each>
		</table>
		</td>
	</xsl:if>

	</tr></table>
	</xsl:if>
	

	<xsl:if test="item">
	<p>
	<table border="0" cellpadding="0" cellspacing="0" class="silver">
	<tr><td width="150"><b>Items:</b></td><td width="10"></td><td><b>amount:</b></td><td width="10"></td><xsl:if 
		test="item/weight"><td><b>weight:</b></td><td width="10"></td></xsl:if>
	<xsl:if test="item/value"><td><b>value:</b></td><td width="10"></td></xsl:if><td><b>usage:</b></td></tr>
	<xsl:for-each select="item">
	<xsl:sort select="name" data-type="text" order="ascending"/>
	<tr valign="bottom">
	<td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td><td></td>
	<td align="right"><xsl:value-of select="amount"/></td><td></td>
	<xsl:if test="weight"><td align="right"><xsl:value-of select="format-number(weight*amount, '#,##0.00')"/></td><td></td></xsl:if>
	<xsl:if test="value"><td align="right"><xsl:value-of select="value"/></td><td></td></xsl:if>
	<xsl:if test="worn"><td><xsl:value-of select="worn"/></td></xsl:if>
	</tr>
	</xsl:for-each>
	
	<xsl:if test="item/weight">
	<tr>
	<xsl:call-template name="item">
		<xsl:with-param name="mysum">0</xsl:with-param>
		<xsl:with-param name="count">1</xsl:with-param>
	</xsl:call-template>
	</tr>
	</xsl:if>
	</table>
	</p>
	</xsl:if>


	<xsl:if test="bank">
	<p>
	Silver on bank: <xsl:value-of select="bank"/>
	</p>
	</xsl:if>


	<xsl:if test="henchman">
	<p>
	<table border="0" cellpadding="0" cellspacing="0" class="silver">
	<tr><td width="150"><b>Henchman:</b></td><td width="10"></td>
		<td><b>order:</b></td><td width="10"></td>
		<td><b>condition:</b></td><td width="10"></td>
		<td><b>items:</b></td></tr>
	<xsl:for-each select="henchman">
	<xsl:sort select="id" data-type="text" order="ascending"/>
	<tr>
	<td><xsl:value-of select="monster/name"/>(<xsl:value-of select="monster/id"/>)</td><td></td>
	<td><xsl:value-of select="order"/></td><td></td>
	<td><xsl:value-of select="monster/condition"/></td><td></td>
	<td>
	<xsl:if test="monster/item">
		<table border="0" cellpadding="0" cellspacing="0" class="silver">
		<tr><td width="150"><b>Items:</b></td><td width="10"></td><td><b>amount:</b></td><td width="10"></td><xsl:if 
			test="item/weight"><td><b>weight:</b></td><td width="10"></td></xsl:if>
		<xsl:if test="item/value"><td><b>value:</b></td><td width="10"></td></xsl:if><td><b>usage:</b></td></tr>
		<xsl:for-each select="monster/item">
		<xsl:sort select="name" data-type="text" order="ascending"/>
		<tr>
		<td><xsl:value-of select="name"/>[<xsl:value-of select="short"/>]</td><td></td>
		<td align="right"><xsl:value-of select="amount"/></td><td></td>
		<xsl:if test="weight"><td align="middle"><xsl:value-of select="weight*amount"/></td><td></td></xsl:if>
		<xsl:if test="value"><td align="right"><xsl:value-of select="value"/></td><td></td></xsl:if>
		<xsl:if test="worn"><td><xsl:value-of select="worn"/></td></xsl:if>
		</tr>
		</xsl:for-each>
		</table>
	</xsl:if>
	</td>
	
	
	</tr>
	</xsl:for-each>
	</table>
	</p>
	</xsl:if>
	
	<table><tr>
	<xsl:if test="command">
	<td width="200">
	<b>Command template:</b><br/>
	<font face="sans-serif">
	unit <xsl:value-of select="id"/><br/>
	<xsl:for-each select="command"><p><xsl:for-each select="line">
	<xsl:value-of select="."/><br/>
	</xsl:for-each></p></xsl:for-each>
	</font>
	</td>
	<td valign="top">
	<a><xsl:attribute name="href">mailto:<xsl:value-of select="/world/host"/>?subject=Talan%20Orders&amp;body=unit <xsl:value-of
	select="id"/>%0D%0A%0D%0A%0D%0Anextday</xsl:attribute>Send turn</a>
	<p><a>
		<xsl:attribute name="href"><xsl:value-of select="/world/home"/></xsl:attribute>
		<xsl:attribute name="target">_top</xsl:attribute>
		Go to homepage</a></p>
	</td>
	</xsl:if>
	</tr></table>
</xsl:for-each>



<xsl:for-each select="region">
	<hr/>

	<a><xsl:attribute name="id"><xsl:value-of select="x"/>_<xsl:value-of select="y"/></xsl:attribute></a>

	<h1>
	<xsl:choose>
	<xsl:when test="type='chaos'"><img src="xmlreport/chaos.gif" alt="Chaos" /></xsl:when>
	<xsl:when test="type='plains'"><img src="xmlreport/plains.gif" alt="Plains" /></xsl:when>
	<xsl:when test="type='forest'"><img src="xmlreport/forest.gif" alt="Forest" /></xsl:when>
	<xsl:when test="type='swamp'"><img src="xmlreport/swamp.gif" alt="Swamp" /></xsl:when>
	<xsl:when test="type='highland'"><img src="xmlreport/hplain.gif" alt="Highland" /></xsl:when>
	<xsl:when test="type='mountains'"><img src="xmlreport/mountain.gif" alt="Mountain" /></xsl:when>
	<xsl:when test="type='lake'"><img src="xmlreport/lake.gif" alt="Lake" /></xsl:when>
	<xsl:when test="type='ocean'"><img src="xmlreport/ocean.gif" alt="Ocean" /></xsl:when>
	</xsl:choose>
	Region (<xsl:value-of select="x"/>;<xsl:value-of select="y"/>)</h1>

	<xsl:if test="move and fly">
		Movement points needed: <span> 
		<xsl:if test="number(move) > number(/world/character/ground)+number(/world/character/sea)"><xsl:attribute name="style">color:red</xsl:attribute></xsl:if>
		<xsl:value-of select="move"/></span> (ground/sea) / <span>
		<xsl:if test="number(fly) > number(/world/character/air)"><xsl:attribute name="style">color:red</xsl:attribute></xsl:if>
		<xsl:value-of select="fly"/></span> (air)
	</xsl:if>
	
	<table border="0">
	<tr>
	<xsl:if test="building">
		<td width="150" class="silver">
		<font size="+1"><b>Buildings:</b></font><br/>
		<xsl:for-each select="building">
			<xsl:sort select="." data-type="text" order="ascending"/>
			- <xsl:value-of select="."/><br/>
		</xsl:for-each>
		</td>
	</xsl:if>
	<xsl:variable name="x_pos" select="x"/><xsl:variable name="y_pos" select="y"/>
	<xsl:if test="/world/character/x=$x_pos and /world/character/y=$y_pos">
		<td width="150" class="silver">
		<font size="+1"><b>Characters:</b></font><br/>
		<xsl:for-each select="/world/character">
			<xsl:sort select="id" data-type="number" order="ascending"/>
			<xsl:if test="x=$x_pos and y=$y_pos">
			- <a><xsl:attribute name="href"><xsl:text>#</xsl:text><xsl:value-of
				select="id"/></xsl:attribute><xsl:value-of select="name"/>(<xsl:value-of select="id"/>)</a><br/>
		</xsl:if></xsl:for-each>
		</td>
	</xsl:if>
	<xsl:if test="monster">
		<td width="150" class="silver">
		<font size="+1"><b>Monsters:</b></font><br/>
		<xsl:for-each select="monster">
			<xsl:sort select="id" data-type="number" order="ascending"/>
			- <xsl:value-of select="name"/>(<xsl:value-of select="id"/>)<br/>
		</xsl:for-each>
		</td>
	</xsl:if>
	</tr>
	</table>
	

	<xsl:for-each select="settlement">
		<h2>
		<xsl:choose>
		<xsl:when test="size='village'"><img src="xmlreport/village.gif" alt="Village" /></xsl:when>
		<xsl:when test="size='town'"><img src="xmlreport/town.gif" alt="Town" /></xsl:when>
		<xsl:when test="size='city'"><img src="xmlreport/city.gif" alt="City" /></xsl:when>
		<xsl:when test="size='metropolis'"><img src="xmlreport/metropolis.gif" alt="Metropolis" /></xsl:when>
		</xsl:choose>
		<xsl:choose>
		<xsl:when test="name"><xsl:value-of select="name" /></xsl:when>
		<xsl:otherwise>Hamlet</xsl:otherwise>
		</xsl:choose></h2>


		<table><tr>
		<xsl:if test="population">
		<td width="100">Population: <xsl:value-of select="population"/></td>
		</xsl:if>
		<td width="200"><xsl:choose>
		<xsl:when test="economy/assets">Assets: <xsl:value-of select="economy/assets"/>(<xsl:value-of 
			select="economy/wealth"/>)</xsl:when>
		<xsl:otherwise>Wealth: <xsl:value-of select="economy/wealth"/></xsl:otherwise>
		</xsl:choose></td>
		</tr>
		</table>

		
		<table border="0">
		<tr>
		<xsl:if test="building">
			<td width="200" class="silver">
			<font size="+1"><b>Buildings:</b></font><br />
			<xsl:for-each select="building">
				<xsl:sort select="." data-type="text" order="ascending"/>
				- <xsl:value-of select="."/><br />
			</xsl:for-each>
			</td>
		</xsl:if>
		<xsl:if test="avail_item">
			<td width="250" class="silver">
			<font size="+1"><b>Items (buy/sell):</b></font><br />
			<xsl:for-each select="avail_item">
				<xsl:sort select="." data-type="text" order="ascending"/>
				- <xsl:value-of select="."/>(<xsl:value-of select="@buy"/>/<xsl:value-of 
				select="@sell"/>)<br /></xsl:for-each>
			</td>
		</xsl:if>
		<xsl:if test="avail_skill">
			<td width="200" valign="top" class="silver">
			<font size="+1"><b>Teachers (quality):</b></font><br />
			<xsl:for-each select="avail_skill">
				<xsl:sort select="." data-type="text" order="ascending"/>
				- <xsl:value-of select="."/>(<xsl:value-of select="@quality"/>)<br />
			</xsl:for-each>
			</td>
		</xsl:if>
		<xsl:if test="avail_henchman">
			<td width="200" valign="top" class="silver">
			<font size="+1"><b>Henchmen (price):</b></font><br />
			<xsl:for-each select="avail_henchman">
				<xsl:sort select="@id" data-type="text" order="ascending"/>
				<xsl:value-of select="@id"/>) <xsl:value-of select="."/>: <xsl:value-of select="@price"/><br />
			</xsl:for-each>
			</td>
		</xsl:if>
		</tr>
		</table>
	</xsl:for-each>

	<xsl:if test="fight">
	<p class="silver">
	<b>Actions:</b><br/>
	<xsl:for-each select="fight/line"><xsl:value-of select="."/><br/></xsl:for-each>
	</p>
	</xsl:if>

</xsl:for-each>



</body>
</html>
</xsl:template>

<xsl:template match="/world/region">
	<td valign="bottom"><xsl:attribute name="width">32</xsl:attribute><xsl:attribute name="height">32</xsl:attribute>
	<xsl:choose>
	<xsl:when test="type='chaos'"><xsl:attribute name="background">xmlreport/chaos.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='plains'"><xsl:attribute name="background">xmlreport/plains.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='forest'"><xsl:attribute name="background">xmlreport/forest.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='swamp'"><xsl:attribute name="background">xmlreport/swamp.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='highland'"><xsl:attribute name="background">xmlreport/hplain.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='mountains'"><xsl:attribute 
		name="background">xmlreport/mountain.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='lake'"><xsl:attribute name="background">xmlreport/lake.gif</xsl:attribute></xsl:when>
	<xsl:when test="type='ocean'"><xsl:attribute name="background">xmlreport/ocean.gif</xsl:attribute></xsl:when>
	</xsl:choose>	
	
	<a>
	<xsl:attribute name="href">#<xsl:value-of select="x"/>_<xsl:value-of select="y"/></xsl:attribute>
	
	<img>
	<xsl:choose>
	<xsl:when test="settlement/size='village'"><xsl:attribute name="src">xmlreport/village.gif</xsl:attribute></xsl:when>
	<xsl:when test="settlement/size='town'"><xsl:attribute name="src">xmlreport/town.gif</xsl:attribute></xsl:when>
	<xsl:when test="settlement/size='city'"><xsl:attribute name="src">xmlreport/city.gif</xsl:attribute></xsl:when>
	<xsl:when test="settlement/size='metropolis'"><xsl:attribute 
		name="src">xmlreport/metropolis.gif</xsl:attribute></xsl:when>
	<xsl:otherwise><xsl:attribute name="src">xmlreport/clear.gif</xsl:attribute></xsl:otherwise>
	</xsl:choose>
	<xsl:attribute name="align">bottom</xsl:attribute>
	<xsl:attribute name="border">0</xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="x"/>;<xsl:value-of select="y"/></xsl:attribute>
	</img>
	</a>
	</td>
</xsl:template>

<xsl:template name="item">
	<xsl:param name="mysum"/>
	<xsl:param name="count"/>
	<xsl:choose>
	<xsl:when test="item[position() = $count]">
		<xsl:call-template name="item">
			<xsl:with-param name="mysum"><xsl:value-of select="number(item[position() = $count]/weight)*number(item[position() = $count]/amount)+number($mysum)"/></xsl:with-param>
			<xsl:with-param name="count"><xsl:value-of select="number($count)+1"/></xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
		<td colspan="4">total</td>
		<td align="right">
		<xsl:if test="number($mysum) > number(carry)">
			<xsl:attribute name="style">color:red</xsl:attribute>
		</xsl:if>
		<xsl:value-of select="format-number($mysum, '#,###.00')"/></td>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>


</xsl:stylesheet>

